# Z-Ray browser extension

The Z-Ray browser extension (zray_ext) is a user interface for the Z-Ray Daemon application (zrayd) and the PHP Extension (z_ray).

The **zray_ext** is a consumer for events published by PHP extension and queued by **zrayd** using websockets.


## Dependencies

Currently extension is supporting only **Chromium** based browsers.


## Installation

Unpack your **zray_ext_*.zip** to a local folder, for example: (home)/zray_ext

With browser:

* navigate to [Extensions](chrome://extensions/)
* enable _"Developer mode"_ if it isn't enabled already
* click _"Load unpacked"_ and point it to the folder where you did unpack the zray_ext

Now, Zend icon ![icon](https://www.zend.com/sites/zend/themes/custom/zend/images/favicons/favicon.ico) must be visible in the browser extensions list.


## Usage

Extension adds a new tab called **Z-Ray** to the _Developer Toolbar_ of the browser.

Click on _Activate_ and the **zray_ext** will try to connect to a server where currently open webpage came from.
Assuming the **zrayd** is configured and working on this server then connection is opened and a unique token value is returned. All PHP executions with this token information will send events to you.

The **token** value is added automatically to request headers from your browser. 
You can copy the token and add it to a query coming from anywhere else and PHP execution events will also be sent to your **zray_ext**.

Extension is ment to work in one server context, meaning it will disconnect if the browser opens a page in a different server. And it will disconnect if you close the _Developer Toolbar_.
