import Collapsible from "../elements/Collapsible.js";

export default class GlobalsPage {
	constructor(request, prefix) {
		this.Request = request;
		this.tree = new Collapsible({}, prefix + '-pg-globals');
	}

	get() {
		// console.log('globalsPage::get');
		return this.tree.get();
	}

	add(name, data) {
		let map = {};
		for (let i = 0; i < data.length; i++) {
			map[data[i].key] = data[i].value;
			//TODO: handle possible old_value
		}

		this.tree.add(name, map);
	}
}